Db2SystemConfigValue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2SystemConfigValue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2SystemConfigValue

All Superinterfaces:
  Db2ConfigValue, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Db2SystemConfigValue

extends Db2ConfigValue

Represents a configuration value for a Db2 system.

Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  DBTSCFG
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.db.db2.Db2ConfigValue
`IBM_COPYRIGHT`

Method Summary
`Db2System` | `getParent()`
`boolean` | `hasParent()`
`void` | `setParent(Db2System parent)`

Methods inherited from interface com.collation.platform.model.topology.app.db.db2.Db2ConfigValue
`getName, getValue, hasName, hasValue, setName, setValue`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    Db2System getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setParent

    void setParent(Db2System parent)

### hasParent

    boolean hasParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD